Skip to main content
POST
Create a GitHub repository

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Ankra-Organisation-Id
string<uuid>

Act in another organisation the token's owner is an active member of; defaults to the token's own organisation.

X-Ankra-Project-Id
string<uuid>

Act in another project of the organisation; a token pinned to a project cannot leave it.

Path Parameters

credential_id
string<uuid>
required

Body

application/json
repository_name
string
required
visibility
enum<string>
default:private
Available options:
private,
public
description
string
owner
string
auto_init
boolean
default:true

Response

The new repository

name
string
owner
string
default_branch
string
web_url
string
git_url
string
private
boolean
credential_name
string